JNA API 3.3.0

## com.sun.jna
Class IntegerType

    java.lang.Object
      java.lang.Number
          com.sun.jna.IntegerType

All Implemented Interfaces:
  NativeMapped, Serializable

Direct Known Subclasses:
  BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.ULONG_PTR, NativeLong, Structure.FFIType.size_t, WinDef.DWORD, WinDef.DWORDLONG, WinDef.LONG, WinDef.UINT_PTR, WinDef.ULONGLONG, WinDef.WORD

    public abstract class IntegerType

extends Number
implements NativeMapped

Represents a native integer value, which may have a platform-specific size (e.g. `long` on unix-based platforms).

Author:
  wmeissner@gmail.com
See Also:
  Serialized Form

Constructor Summary
`IntegerType(int size)` Create a zero-valued IntegerType.
`IntegerType(int size, long value)` Create a IntegerType with the given value.

Method Summary
`double` | `doubleValue()`
`boolean` | `equals(Object rhs)`
`float` | `floatValue()`
`Object` | `fromNative(Object nativeValue, FromNativeContext context)` Convert the given native object into its Java representation using the given context.
`int` | `hashCode()`
`int` | `intValue()`
`long` | `longValue()`
`Class` | `nativeType()` Indicate the native type used by this converter.
`void` | `setValue(long value)` Change the value for this data.
`Object` | `toNative()` Convert this object into a supported native type.
`String` | `toString()`

Methods inherited from class java.lang.Number
`byteValue, shortValue`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntegerType

    public IntegerType(int size)

  Create a zero-valued IntegerType.

### IntegerType

    public IntegerType(int size,
                       long value)

  Create a IntegerType with the given value.

Method Detail

### setValue

    public void setValue(long value)

  Change the value for this data.

### toNative

    public Object toNative()

  Description copied from interface: `NativeMapped`
  Convert this object into a supported native type.

  Specified by:
    `toNative` in interface `NativeMapped`

### fromNative

    public Object fromNative(Object nativeValue,
                             FromNativeContext context)

  Description copied from interface: `NativeMapped`
  Convert the given native object into its Java representation using the given context.

  Specified by:
    `fromNative` in interface `NativeMapped`

### nativeType

    public Class nativeType()

  Description copied from interface: `NativeMapped`
  Indicate the native type used by this converter.

  Specified by:
    `nativeType` in interface `NativeMapped`

### intValue

    public int intValue()

  Specified by:
    `intValue` in class `Number`

### longValue

    public long longValue()

  Specified by:
    `longValue` in class `Number`

### floatValue

    public float floatValue()

  Specified by:
    `floatValue` in class `Number`

### doubleValue

    public double doubleValue()

  Specified by:
    `doubleValue` in class `Number`

### equals

    public boolean equals(Object rhs)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.